---
description: Overview of contributing
keywords: open, source, contributing, overview
title: Contribute to documentation
redirect_from:
- /contributing/
- /contributing/contributing/
- /opensource/code/
- /opensource/project/who-written-for/
- /opensource/project/software-required/
- /opensource/project/software-req-win/
- /opensource/project/set-up-git/
- /opensource/project/set-up-dev-env/
- /opensource/project/test-and-docs/
- /opensource/project/who-written-for/
- /opensource/workflow/advanced-contributing/
- /opensource/workflow/
- /opensource/workflow/coding-style/
- /opensource/workflow/create-pr/
- /opensource/workflow/find-an-issue/
- /opensource/workflow/make-a-contribution/
- /opensource/workflow/review-pr/
- /opensource/workflow/work-issue/
- /opensource/FAQ/
- /opensource/get-help/
- /opensource/code/
- /opensource/doc-style/
- /opensource/governance/
- /opensource/governance/dgab-info/
- /opensource/governance/board-profiles/
- /opensource/governance/conduct-code/

---

Contributing to the Docker documentation can be a rewarding experience. When you
offer feedback, questions, edits, or new content, you help us, the projects you
work on, and the larger Docker community.

We welcome your participation to help make the documentation better!

> Looking for the open source Moby project?
>
> See [Looking for Moby?](#looking-for-moby) below.

## How to contribute to the docs

The documentation for Docker is published at
[docs.docker.com](https://docs.docker.com/).

There are many ways to contribute:

- Edit, rate, or file an issue or question directly on the site by
using the links available on the right-side menu on every page
at [docs.docker.com](/).

  ![Docs feedback links](images/docs-site-feedback.png)

- File a documentation issue on GitHub at
[https://github.com/docker/docker.github.io/issues](https://github.com/docker/docker.github.io/issues).

  This is similar to clicking **Request doc changes** on a published docs
  page, but if you manually file an issue you need to fill in links to
  the related pages.

- Fork the documentation, make changes or add new content on your local
branch, and submit a pull request (PR) to the master branch for the docs.

  This is the manual, more advanced version of clicking **Edit this page**
  on a published docs page. Initiating a docs changes in a PR from your
  own branch gives you more flexibility, as you can submit changes to
  multiple pages or files under a single pull request, and even create
  new topics.

## Resources and guidance

We are here to help. If you are interested in contributing, but don't feel ready
to dive in on more complex updates, we can help get you up and running.

You might start by using the right-side menus on published pages:

* Click **Request doc changes** on a page to automatically log an issue.

* Click **Edit this page** to make a change to content, which automatically creates a PR.

The issue and PR pages on GitHub give us a community space to discuss
things, and answer any questions you might have about the problem or topic you
are reporting on.

To learn more about working on the documentation, see these topics:

- [README on docker/docker.github.io](https://github.com/docker/docker.github.io/blob/master/README.md)

- [Docs Test page](../test.md) - This is on the
published site. It explains how to use Docs components, resources, and
formats, and gives us a way to test and demo them.

## Looking for meetups and Docker Community?

Go to the [Docker Community GitHub repository](https://github.com/docker/community/blob/master/README.md){:target="_blank" rel="noopener" class="_"}
for resources and information on the community.

The topics in this guide on [Other ways to contribute](/opensource/ways/)
provide some additional information,  but the community
information you are looking for is probably available on the GitHub repository.

## Looking for Moby?

{% include content/moby.md %}
