---
description: Downgrade your Docker subscription
keywords: Docker Hub, downgrade, subscription, Pro, Team, Free, pricing plan,
title: Downgrade your subscription
redirect_from:
- /docker-hub/cancel-downgrade/
- /docker-hub/billing/downgrade/
---

You can downgrade your Docker subscription anytime. When you downgrade your subscription, changes are applied at the end of your billing cycle.

For example, if you are currently on a **Docker Team** subscription which is billed on the 8th of every month and you choose to downgrade to **Docker Personal** on the 15th, your plan will be active until 7th of the following month. You will be transferred to Docker Personal on the 8th of the following month.

The following sections contain instructions on how to downgrade your existing Docker subscription.

## Downgrade your Docker subscription

>**Note:**
>
> - It is not possible to offer prorated refunds when you downgrade an annual subscription that’s already paid for and is still active. After you have downgraded, you can choose to reinstate your annual subscription if it hasn’t expired.
> - Before you downgrade to a Personal or a Free Team subscription, you must convert all private repositories to public repositories and update the organization details to reflect features available in Docker Personal or Free Team. For example, if you have a Docker Team subscription, you may need to reduce the number of team members. For information on what’s included in the subscription, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.
{: .important }

To downgrade your subscription:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The **Billing Details** page displays billing information about your existing user account.
>**Note:**
>
>Ensure you have selected your Personal or Free team account on the left side of the **Billing Details** page.

3. On the **Change Plan** page, review the information displayed in the **Free** section and click **Downgrade**.
>**Note:**
>
>When prompted, review the warning displayed about downgrading your account and click **Continue with Downgrade**. If your account meets the requirements, the **Downgrade confirmation** screen will appear.

4. Select a reason for your downgrade from the list and click **Send**.

5. The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes will take effect.

6. To cancel the downgrade, click **Cancel the downgrade**.
